Summary:	KDE Frameworks 5 KIPI module
Name:		libkipi
Version:	17.08.2
Release:	1
Epoch:		2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		libkipi-16.08.1-soname.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	jpeg-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5kexiv2-devel
BuildRequires:	kf5service-devel
BuildRequires:	kf5xmlgui-devel
BuildRequires:	tiff-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(zlib)

%description
KDE Frameworks 5 KIPI module. It is an interface to use kipi-plugins from
a KDE image management program like digiKam (http://www.digikam.org).

#------------------------------------------------

%package -n kipi-common
Summary:	KDE Frameworks 5 common files for KIPI module
Group:		System/Libraries

%description -n kipi-common
KDE Frameworks 5 common files for KIPI module.

%files -n kipi-common
%doc README TODO AUTHORS COPYING
%{_kde5_iconsdir}/*/*/*/kipi.*
%{_kde5_services}/kipiplugin_kxmlhelloworld.desktop
%{_kde5_servicetypes}/kipiplugin.desktop
%{_kde5_xmlguidir}/kipi/kipiplugin_kxmlhelloworldui.rc
%{_qt5_plugindir}/kipiplugin_kxmlhelloworld.so

#------------------------------------------------

%define kf5kipi_major 32
%define libkf5kipi %mklibname kf5kipi %{kf5kipi_major}

%package -n %{libkf5kipi}
Summary:	KDE Frameworks 5 KIPI shared library
Group:		System/Libraries
Requires:	kipi-common

%description -n %{libkf5kipi}
KDE Frameworks 5 KIPI shared library.

%files -n %{libkf5kipi}
%{_kde5_libdir}/libKF5Kipi.so.%{kf5kipi_major}*

#-----------------------------------------------------------------------------

%define devname %mklibname kf5kipi -d

%package -n %{devname}
Summary:	Development files for KDE Frameworks 5 KIPI module
Group:		Development/KDE and Qt
Requires:	%{libkf5kipi} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5kipi-devel = %{EVRD}
Obsoletes:	libkipi-devel < 2:16.08.1

%description -n %{devname}
Development files for KDE Frameworks 5 KIPI module.

%files -n %{devname}
%{_kde5_includedir}/KF5/KIPI
%{_kde5_includedir}/KF5/libkipi_version.h
%{_kde5_libdir}/cmake/KF5Kipi
%{_kde5_libdir}/libKF5Kipi.so

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.08.2-1
- (8e43327) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (e8eb7e2) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (bcc8c60) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (7db2e29) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (2c542b1) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (a8d04aa) MassBuild#1230: Increase release tag

* Sun Jan 29 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (7ad60db) New library major 32
- (Andrey Bondrov: a254222) New version 16.12.1

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-2
- (4e2314a) MassBuild#1212: Increase release tag

* Sat Oct 29 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (cafd06a) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-4
- (658d84c) MassBuild#1169: Increase release tag

* Fri Sep 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-3
- (fe3ed3c) Library package should requires kipi-common

* Thu Sep 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-2
- (6ab69c9) Fix development package name

* Thu Sep 22 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.1-1
- (8e651fa) New version 16.08.1
- (8e651fa) Switch to Qt5/KF5

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2:4.14.3-2
- (2b387dd) MassBuild#656: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (dd1622c) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (fd7d37f) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (02d98d8) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (6bc75b4) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (d739d99) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (c91d7ce) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (30e2dff) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (6a50a20) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (33b9aef) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (245de9f) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (be5f8e8) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (cb669d5) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (34b28e8) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.4-1
- (056467b) LOG New version 4.9.4

* Wed Nov 07 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.3-1
- (60946a6) LOG New version 4.9.3


